OpenTTD Source: CYapfRailSegment Struct Reference

OpenTTD Source 15.0-beta1

Public Types | Public Member Functions | Data Fields
CYapfRailSegment Struct Reference

cached segment cost for rail YAPF More...

`#include <yapf_node_rail.hpp>`

## Public Types
typedef CYapfRailSegmentKey | Key

## Public Member Functions
| CYapfRailSegment (const CYapfRailSegmentKey &key)
const Key & | GetKey () const
TileIndex | GetTile () const
CYapfRailSegment * | GetHashNext ()
void | SetHashNext (CYapfRailSegment *next)
void | Dump (DumpTarget &dmp) const

## Data Fields
CYapfRailSegmentKey | key
TileIndex | last_tile = INVALID_TILE
Trackdir | last_td = INVALID_TRACKDIR
int | cost = -1
TileIndex | last_signal_tile = INVALID_TILE
Trackdir | last_signal_td = INVALID_TRACKDIR
EndSegmentReasonBits | end_segment_reason = ESRB_NONE
CYapfRailSegment * | hash_next = nullptr

## Detailed Description

cached segment cost for rail YAPF

Definition at line 67 of file yapf_node_rail.hpp.

## Member Typedef Documentation

## ◆ Key

typedef CYapfRailSegmentKey CYapfRailSegment::Key

Definition at line 69 of file yapf_node_rail.hpp.

## Constructor & Destructor Documentation

## ◆ CYapfRailSegment()

CYapfRailSegment::CYapfRailSegment | ( | const CYapfRailSegmentKey & | key | ) |
| inline

Definition at line 80 of file yapf_node_rail.hpp.

## Member Function Documentation

## ◆ Dump()

void CYapfRailSegment::Dump | ( | DumpTarget & | dmp | ) | const
| inline

Definition at line 102 of file yapf_node_rail.hpp.

## ◆ GetHashNext()

CYapfRailSegment * CYapfRailSegment::GetHashNext | ( |  | ) |
| inline

Definition at line 92 of file yapf_node_rail.hpp.

## ◆ GetKey()

const Key & CYapfRailSegment::GetKey | ( |  | ) | const
| inline

Definition at line 82 of file yapf_node_rail.hpp.

## ◆ GetTile()

TileIndex CYapfRailSegment::GetTile | ( |  | ) | const
| inline

Definition at line 87 of file yapf_node_rail.hpp.

## ◆ SetHashNext()

void CYapfRailSegment::SetHashNext | ( | CYapfRailSegment * | next | ) |
| inline

Definition at line 97 of file yapf_node_rail.hpp.

## Field Documentation

## ◆ cost

int CYapfRailSegment::cost = -1

Definition at line 74 of file yapf_node_rail.hpp.

## ◆ end_segment_reason

EndSegmentReasonBits CYapfRailSegment::end_segment_reason = ESRB_NONE

Definition at line 77 of file yapf_node_rail.hpp.

## ◆ hash_next

CYapfRailSegment* CYapfRailSegment::hash_next = nullptr

Definition at line 78 of file yapf_node_rail.hpp.

## ◆ key

CYapfRailSegmentKey CYapfRailSegment::key

Definition at line 71 of file yapf_node_rail.hpp.

## ◆ last_signal_td

Trackdir CYapfRailSegment::last_signal_td = INVALID_TRACKDIR

Definition at line 76 of file yapf_node_rail.hpp.

## ◆ last_signal_tile

TileIndex CYapfRailSegment::last_signal_tile = INVALID_TILE

Definition at line 75 of file yapf_node_rail.hpp.

## ◆ last_td

Trackdir CYapfRailSegment::last_td = INVALID_TRACKDIR

Definition at line 73 of file yapf_node_rail.hpp.

## ◆ last_tile

TileIndex CYapfRailSegment::last_tile = INVALID_TILE

Definition at line 72 of file yapf_node_rail.hpp.

The documentation for this struct was generated from the following file:

- src/pathfinder/yapf/yapf_node_rail.hpp